library ieee;
use ieee.std_logic_1164.all;

entity mcmb is
    port ( a,b : in integer;
           nw : in std_logic;
           clk : in std_logic;
           ris: out integer;
           ready : out std_logic
           );
end mcmb;

architecture beh of mcmb is
    
 begin
    
    
 process(nw,clk)
   variable mcma, mcmb: integer; 
   begin
    if nw='1' 
      then mcma :=a;
                   mcmb:= b;
                   ready <= '0'; 
                   
    elsif clk'event and clk='0'  
      then
          while  ( mcma /= mcmb) loop  
              if mcma < mcmb then mcma := mcma +a;
                else mcmb := mcmb + b;
              end if;
          end loop;
          ris<= mcma;
          ready <= '1';
   end if;     
  end process;
                       
  end beh;
                 

        
             


