library ieee;
use ieee.std_logic_1164.all;

entity mcmb is
    port ( a,b : in integer;
           nw : in std_logic;
           clk : in std_logic;
           ris: out integer;
           ready : out std_logic
           );
end mcmb;

architecture beh of mcmb is
    
    
 
signal mcma, mcmb: integer;


begin
    
    
 process(nw,clk)
   begin
    if nw='1' 
      then mcma<=a;
                   mcmb<= b;
                   ready <= '0'; 
                   
    elsif clk'event and clk='0'  
      then
          if  mcma = mcmb then ris <= mcma;
                               ready <= '1';
                               
          elsif mcma < mcmb then mcma <= mcma +a;
          else mcmb <= mcmb + b;
      end if;
  end if;
  end process;
                       
  end beh;
                 

        
             


